Create child worker relation with external Id

Creates or replaces the child worker relation for the HrisProfile identified by the given external ID. If a child relation already exists for this profile, it is overwritten with the supplied data. Token scopes: profile:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

profileIdstringRequired
HrisProfile external ID

Request

This endpoint expects an object.
dataobjectOptional

Response

Successful operation

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error